cgGetProfileDomain(3)

NAME
cgGetProfileDomain - get the domain of a profile enumerant

SYNOPSIS
  #include <Cg/cg.h>

  CGdomain cgGetProfileDomain( CGprofile profile );

PARAMETERS

profile
    The profile enumerant.

RETURN VALUES
Returns:

  CG_UNKNOWN_DOMAIN
  CG_VERTEX_DOMAIN
  CG_FRAGMENT_DOMAIN
  CG_GEOMETRY_DOMAIN

DESCRIPTION
cgGetProfileDomain returns which type of domain the given profile belongs to.

EXAMPLES
  CGdomain domain = cgGetProfileDomain(CG_PROFILE_PS_3_0);
  /* domain == CG_FRAGMENT_DOMAIN */

ERRORS
None.

HISTORY
cgGetProfileDomain was introduced in Cg 1.5.

CG_GEOMETRY_DOMAIN was introduced in Cg 2.0.

SEE ALSO
cgGetNumProgramDomains, cgGetProgramDomainProfile